/api/v1/characters/{slug}/reviews
curl --request GET \
--url https://api.venice.ai/api/v1/characters/{slug}/reviews \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.venice.ai/api/v1/characters/{slug}/reviews"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.venice.ai/api/v1/characters/{slug}/reviews', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"characterId": "2f460055-7595-4640-9cb6-c442c4c869b0",
"createdAt": "2025-02-09T03:23:53.708Z",
"id": "1e38fb78-043f-4ce2-b3bc-966089c25467",
"isOwner": false,
"locale": "en",
"message": "Thoughtful, grounded, and surprisingly practical.",
"rating": 5,
"userAvatarUrl": "https://cdn.venice.ai/avatar.png",
"username": "product_user_42"
}
],
"object": "list",
"pagination": {
"page": 1,
"pageSize": 20,
"total": 87,
"totalPages": 5
},
"summary": {
"averageRating": 4.7,
"totalReviews": 87
}
}{
"error": "<string>",
"details": {
"_errors": [],
"field": {
"_errors": [
"Field is required"
]
}
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Characters
캐릭터 리뷰 목록
This is a preview API and may change. Returns paginated public reviews for a single character.
GET
/
characters
/
{slug}
/
reviews
/api/v1/characters/{slug}/reviews
실험적 엔드포인트
이것은 실험적 엔드포인트이며 변경될 수 있습니다.
반환 내용
이 엔드포인트는 단일 캐릭터에 대한 페이지네이션된 공개 리뷰를 반환합니다.- 캐릭터를 식별하려면
slug경로 매개변수를 사용하세요. - 리뷰를 페이지네이션하려면
page와pageSize쿼리 매개변수를 사용하세요. - 페이지네이션 메타데이터는 응답 본문과
x-pagination-*응답 헤더에 모두 반환됩니다.
인증
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
경로 매개변수
Slug of the character whose reviews should be retrieved
예시:
"alan-watts"
쿼리 매개변수
Page number for pagination
필수 범위:
x > 0예시:
1
Number of reviews to return per page (max: 100)
필수 범위:
0 < x <= 100예시:
20
⌘I